From f7b0c37809d39f72ed09713a5e90c36b02f57e27 Mon Sep 17 00:00:00 2001
From: Xiyue Deng <manphiz@gmail.com>
Date: Mon, 24 Feb 2025 22:26:06 -0800
Subject: [PATCH 2/2] test/emacs{,-tagging}: update test outputs based on Emacs
 major version

Emacs 30+ changed the outputs of some tests.  This patch changes the
expected outputs based on Emacs major version.
---
 test/T310-emacs.sh         |  9 ++++++++-
 test/T315-emacs-tagging.sh | 20 ++++++++++++++++++--
 2 files changed, 26 insertions(+), 3 deletions(-)

diff --git a/test/T310-emacs.sh b/test/T310-emacs.sh
index e96c1601..071e74e8 100755
--- a/test/T310-emacs.sh
+++ b/test/T310-emacs.sh
@@ -1075,7 +1075,14 @@ output=$(test_emacs "(mapcar 'notmuch-escape-boolean-term (list
 	\"\\\"abc\"
 	\"\x01xyz\"
 	\"\\x201cxyz\\x201d\"))")
-test_expect_equal "$output" '("\"\"" "abc`~!@#$%^&*-=_+123" "\"(abc\"" "\")abc\"" "\"\"\"abc\"" "\"'$'\x01''xyz\"" "\"“xyz”\"")'
+if [ "${TEST_EMACS_MAJOR_VERSION}" -lt "30" ]; then
+    test_expect_equal "$output" \
+'("\"\"" "abc`~!@#$%^&*-=_+123" "\"(abc\"" "\")abc\"" "\"\"\"abc\"" "\"'$'\x01''xyz\"" "\"“xyz”\"")'
+else
+    test_expect_equal "$output" \
+'("\"\"" "abc`~!@#$%^&*-=_+123" "\"(abc\"" "\")abc\"" "\"\"\"abc\""
+ "\"'$'\x01''xyz\"" "\"“xyz”\"")'
+fi
 
 test_begin_subtest "Sending a message calls the send message hooks"
 emacs_deliver_message \
diff --git a/test/T315-emacs-tagging.sh b/test/T315-emacs-tagging.sh
index c26413ce..885d620f 100755
--- a/test/T315-emacs-tagging.sh
+++ b/test/T315-emacs-tagging.sh
@@ -63,9 +63,17 @@ output=$(test_emacs '(let ((notmuch-test-tag-hook-output nil)
 	       (execute-kbd-macro "+activate-hook\n")
 	       (execute-kbd-macro "-activate-hook\n")
 	       notmuch-test-tag-hook-output)')
-test_expect_equal "$output" \
+if [ "${TEST_EMAC_MAJOR_VERSION}" -lt "30" ]; then
+    test_expect_equal "$output" \
 '(("id:ddd65cda0911171950o4eea4389v86de9525e46052d3@mail.gmail.com" "-activate-hook")
  ("id:ddd65cda0911171950o4eea4389v86de9525e46052d3@mail.gmail.com" "+activate-hook"))'
+else
+    test_expect_equal "$output" \
+'(("id:ddd65cda0911171950o4eea4389v86de9525e46052d3@mail.gmail.com"
+  "-activate-hook")
+ ("id:ddd65cda0911171950o4eea4389v86de9525e46052d3@mail.gmail.com"
+  "+activate-hook"))'
+fi
 
 test_begin_subtest "notmuch-show: after-tag-hook is run, variables are defined"
 output=$(test_emacs '(let ((notmuch-test-tag-hook-output nil)
@@ -74,9 +82,17 @@ output=$(test_emacs '(let ((notmuch-test-tag-hook-output nil)
 	       (execute-kbd-macro "+activate-hook\n")
 	       (execute-kbd-macro "-activate-hook\n")
 	       notmuch-test-tag-hook-output)')
-test_expect_equal "$output" \
+if [ "${TEST_EMACS_MAJOR_VERSION}" -lt "30" ]; then
+    test_expect_equal "$output" \
 '(("id:ddd65cda0911171950o4eea4389v86de9525e46052d3@mail.gmail.com" "-activate-hook")
  ("id:ddd65cda0911171950o4eea4389v86de9525e46052d3@mail.gmail.com" "+activate-hook"))'
+else
+    test_expect_equal "$output" \
+'(("id:ddd65cda0911171950o4eea4389v86de9525e46052d3@mail.gmail.com"
+  "-activate-hook")
+ ("id:ddd65cda0911171950o4eea4389v86de9525e46052d3@mail.gmail.com"
+  "+activate-hook"))'
+fi
 
 
 test_begin_subtest "Search thread tag operations are race-free"
-- 
2.47.2

